## org.apache.aries.subsystem.core.internal
Class BundleEventHook

    java.lang.Object
      org.apache.aries.subsystem.core.internal.BundleEventHook

All Implemented Interfaces:
  org.osgi.framework.hooks.bundle.EventHook

    public class BundleEventHook

extends Object
implements org.osgi.framework.hooks.bundle.EventHook

Constructor Summary
`BundleEventHook()`

Method Summary
`void` `event(org.osgi.framework.BundleEvent event, Collection<org.osgi.framework.BundleContext> contexts)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BundleEventHook

    public BundleEventHook()

Method Detail

### event

    public void event(org.osgi.framework.BundleEvent event,
                      Collection<org.osgi.framework.BundleContext> contexts)

  Specified by:
    `event` in interface `org.osgi.framework.hooks.bundle.EventHook`

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.